Parameters added to a class do not get added when running an import via rake
Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Puppet integration   

Target version: 1.3.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Have a test class like and import it into foreman:

class base ( $test = true, $othertest = false ) {

}

Add a parameter:

class base ( $test = true, $othertest = false, $otherothertest = true ) {

}

Run an import:

[root@s02 ~]# cd /usr/share/foreman

[root@s02 foreman]# RAILS_ENV=production /usr/bin/ruby193-rake puppet:import:puppet_classes

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use

String#encode instead.

Evaluating possible changes to your installation

No changes detected

But go into the UI and import and get:

development     Update:     base

Associated revisions

Revision bb9d0a07 - 10/18/2013 07:32 PM - Dominic Cleal

fixes #2895 - apply updates to environments on puppet class import

Revision 736c890d - 10/25/2013 03:38 PM - Dominic Cleal

fixes #2895 - apply updates to environments on puppet class import

(cherry picked from commit bb9d0a07f751203c216eb3e0d18b832d4b7a5da0)

History

#1 - 08/12/2013 03:56 AM - Dominic Cleal

- Subject changed from Parameters added to a class do not get added when running an import via fron to Parameters added to a class do not get

added when running an import via rake

- Category set to Puppet integration

#2 - 10/10/2013 12:24 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

The rake task only seems to take 'new' and 'obsolete' environments, not updated ones.
#3 - 10/16/2013 03:26 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.15.0

https://github.com/theforeman/foreman/pull/955

#4 - 10/18/2013 08:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bb9d0a07f751203c216eb3e0d18b832d4b7a5da0.

#5 - 10/18/2013 08:46 PM - Dominic Cleal

- translation missing: en.field_release set to 1
